Subject: Assigned to Group - Virtual App Support - Les Mills
From: Les Mills International <[email-masked]>
To: [email-masked], [email-masked], [email-masked]
Date: Sun, 12 Apr 2020 06:53:42 +0000

Hi  A new ticket has been assigned to your group "Level 1". Please follow the link below to view the ticket.  Virtual App Support - Les Mills Submitted data  The following data was submitted.  Field nameSubmitted dataEmail address [email-masked] your name Julianna Russell country United States state TN zipPostal 37221 Text box Membership Question I need technical support Customer Yes Username [email-masked] Phone 6155129766 Comments I have contacted you guys multiple times over the past 2 weeks and haven’t heard back from anyone. I tried to drop my year membership but it still is charging me for the year? I’m fine with paying the rest of the month but I don’t want to pay for the whole year. I believe I already cancelled the membership and I want to be refunded the $119.00. I can pay for the month but I want to rest applied back to my card. Please help me out. utm_source utm_campaign utm_medium utm_code Last_Name https://lesmillsvirtualapp.freshdesk.com/helpdesk/tickets/3481